# API references

[OpenAPI description](<https://docs.gumlet.com/reference/openapi.json>)

- [Introduction](<https://docs.gumlet.com/reference/description/introduction/index.md>)
- [POST /video/assets: Create Asset](<https://docs.gumlet.com/reference/tag/video-assets/post/video/assets/index.md>)
- [POST /video/assets/upload: Create Asset Direct Upload](<https://docs.gumlet.com/reference/tag/video-assets/post/video/assets/upload/index.md>)
- [GET /video/assets/{asset_id}: Asset Details](<https://docs.gumlet.com/reference/tag/video-assets/get/video/assets/asset_id/index.md>)
- [DELETE /video/assets/{asset_id}: Delete Asset](<https://docs.gumlet.com/reference/tag/video-assets/delete/video/assets/asset_id/index.md>)
- [POST /video/assets/update: Update Asset](<https://docs.gumlet.com/reference/tag/video-assets/post/video/assets/update/index.md>)
- [POST /video/assets/{asset_id}/thumbnail-select: Update thumbnail from video](<https://docs.gumlet.com/reference/tag/video-assets/post/video/assets/asset_id/thumbnail-select/index.md>)
- [POST /video/assets/{asset_ID}/thumbnail: Update thumbnail via upload](<https://docs.gumlet.com/reference/tag/video-assets/post/video/assets/asset_ID/thumbnail/index.md>)
- [POST /video/assets/{asset_id}/chapters: Create/Update Video Asset Chapters](<https://docs.gumlet.com/reference/tag/video-assets/post/video/assets/asset_id/chapters/index.md>)
- [GET /video/workspaces/{workspace_id}/list: List Assets](<https://docs.gumlet.com/reference/tag/video-assets/get/video/workspaces/workspace_id/list/index.md>)
- [GET /video/assets/list/{workspace_id}: List Assets](<https://docs.gumlet.com/reference/tag/video-assets/get/video/assets/list/workspace_id/index.md>)
- [DELETE /video/assets/bulk/delete: Bulk Delete](<https://docs.gumlet.com/reference/tag/video-assets/delete/video/assets/bulk/delete/index.md>)
- [POST /video/assets/bulk/tag: Bulk Tag](<https://docs.gumlet.com/reference/tag/video-assets/post/video/assets/bulk/tag/index.md>)
- [POST /video/assets/{asset_id}/analytics: Asset Analytics](<https://docs.gumlet.com/reference/tag/video-assets/post/video/assets/asset_id/analytics/index.md>)
- [GET /entities/global-search: Global Search](<https://docs.gumlet.com/reference/tag/global-search/get/entities/global-search/index.md>)
- [GET /video/assets/{asset_id}/multipartupload/{part_number}/sign: Get Part Upload URL](<https://docs.gumlet.com/reference/tag/multipart-upload/get/video/assets/asset_id/multipartupload/part_number/sign/index.md>)
- [POST /video/assets/{asset_id}/multipartupload/complete: Complete Multipart Upload](<https://docs.gumlet.com/reference/tag/multipart-upload/post/video/assets/asset_id/multipartupload/complete/index.md>)
- [POST /video/assets/{asset_id}/multipartupload/abort: Abort Upload](<https://docs.gumlet.com/reference/tag/multipart-upload/post/video/assets/asset_id/multipartupload/abort/index.md>)
- [POST /video/assets/{asset_id}/multipartupload/list: List Uploads](<https://docs.gumlet.com/reference/tag/multipart-upload/post/video/assets/asset_id/multipartupload/list/index.md>)
- [POST /video/assets/{asset_ID}/audio/upload: Add Audio](<https://docs.gumlet.com/reference/tag/audio-upload/post/video/assets/asset_ID/audio/upload/index.md>)
- [POST /video/assets/{asset_ID}/audio/upload/event: Complete Audio Upload](<https://docs.gumlet.com/reference/tag/audio-upload/post/video/assets/asset_ID/audio/upload/event/index.md>)
- [POST /video/assets/{asset_ID}/subtitle/upload: Upload Subtitles](<https://docs.gumlet.com/reference/tag/subtitle-upload/post/video/assets/asset_ID/subtitle/upload/index.md>)
- [POST /video/assets/{asset_ID}/subtitle/upload/event: Complete Subtitle Upload](<https://docs.gumlet.com/reference/tag/subtitle-upload/post/video/assets/asset_ID/subtitle/upload/event/index.md>)
- [POST /video/asset/recover: Recover Deleted Asset](<https://docs.gumlet.com/reference/tag/recycle-bin/post/video/asset/recover/index.md>)
- [GET /video/asset/recoverable/list: List Recycle Bin](<https://docs.gumlet.com/reference/tag/recycle-bin/get/video/asset/recoverable/list/index.md>)
- [GET /video/workspaces: List Workspaces](<https://docs.gumlet.com/reference/tag/video-workspaces/get/video/workspaces/index.md>)
- [POST /video/workspaces: Create Workspace](<https://docs.gumlet.com/reference/tag/video-workspaces/post/video/workspaces/index.md>)
- [POST /video/workspaces/{workspace_id}: Update Workspace](<https://docs.gumlet.com/reference/tag/video-workspaces/post/video/workspaces/workspace_id/index.md>)
- [GET /video/workspaces/{workspace_id}: Get Workspace](<https://docs.gumlet.com/reference/tag/video-workspaces/get/video/workspaces/workspace_id/index.md>)
- [DELETE /video/workspaces/{workspace_id}: Delete Workspace](<https://docs.gumlet.com/reference/tag/video-workspaces/delete/video/workspaces/workspace_id/index.md>)
- [POST /video/workspaces/{workspace_id}/folders: Create Folder](<https://docs.gumlet.com/reference/tag/folders/post/video/workspaces/workspace_id/folders/index.md>)
- [GET /video/workspaces/{workspace_id}/folders: List Folders](<https://docs.gumlet.com/reference/tag/folders/get/video/workspaces/workspace_id/folders/index.md>)
- [GET /video/workspaces/{workspace_id}/folders/{folder_id}: Get Folder](<https://docs.gumlet.com/reference/tag/folders/get/video/workspaces/workspace_id/folders/folder_id/index.md>)
- [POST /video/workspaces/{workspace_id}/folders/{folder_id}: Update Folder](<https://docs.gumlet.com/reference/tag/folders/post/video/workspaces/workspace_id/folders/folder_id/index.md>)
- [DELETE /video/workspaces/{workspace_id}/folders/{folder_id}: Delete Folder](<https://docs.gumlet.com/reference/tag/folders/delete/video/workspaces/workspace_id/folders/folder_id/index.md>)
- [POST /video/workspaces/{workspace_id}/remove-assets-from-folder: Remove Assets From Folder](<https://docs.gumlet.com/reference/tag/folders/post/video/workspaces/workspace_id/remove-assets-from-folder/index.md>)
- [POST /video/playlist: Create Playlist](<https://docs.gumlet.com/reference/tag/video-playlists/post/video/playlist/index.md>)
- [GET /video/playlist: Get all playlists](<https://docs.gumlet.com/reference/tag/video-playlists/get/video/playlist/index.md>)
- [POST /video/playlist/{playlist_id}/asset: Add asset to playlist](<https://docs.gumlet.com/reference/tag/video-playlists/post/video/playlist/playlist_id/asset/index.md>)
- [DELETE /video/playlist/{playlist_id}/asset: Remove asset from playlist](<https://docs.gumlet.com/reference/tag/video-playlists/delete/video/playlist/playlist_id/asset/index.md>)
- [POST /video/playlist/{playlist_id}: Update Playlist](<https://docs.gumlet.com/reference/tag/video-playlists/post/video/playlist/playlist_id/index.md>)
- [DELETE /video/playlist/{playlist_id}: Delete Playlist](<https://docs.gumlet.com/reference/tag/video-playlists/delete/video/playlist/playlist_id/index.md>)
- [GET /video/playlist/{playlist_id}/assets: Get playlist assets](<https://docs.gumlet.com/reference/tag/video-playlists/get/video/playlist/playlist_id/assets/index.md>)
- [POST /video/playlists/{playlist_id}/reorder: Arrange Videos In Playlist](<https://docs.gumlet.com/reference/tag/video-playlists/post/video/playlists/playlist_id/reorder/index.md>)
- [POST /channel/{video_workspace_id}/viewers/invite: Invite Channel Viewers](<https://docs.gumlet.com/reference/tag/channel-viewers/post/channel/video_workspace_id/viewers/invite/index.md>)
- [POST /channel/{video_workspace_id}/viewers/remove: Remove Channel Viewers](<https://docs.gumlet.com/reference/tag/channel-viewers/post/channel/video_workspace_id/viewers/remove/index.md>)
- [POST /channel/{video_workspace_id}/viewers/invite/csv: Invite Channel Viewers via CSV](<https://docs.gumlet.com/reference/tag/channel-viewers/post/channel/video_workspace_id/viewers/invite/csv/index.md>)
- [GET /channel/{workspace_id}/viewers: List Subscribers](<https://docs.gumlet.com/reference/tag/channel-viewers/get/channel/workspace_id/viewers/index.md>)
- [POST /video/analytics: Video Usage Analytics](<https://docs.gumlet.com/reference/tag/video-usage-analytics/post/video/analytics/index.md>)
- [GET /video/streaming-duration: Top Streamed Assets](<https://docs.gumlet.com/reference/tag/video-usage-analytics/get/video/streaming-duration/index.md>)
- [POST /video/profiles: Create Profile](<https://docs.gumlet.com/reference/tag/video-profiles/post/video/profiles/index.md>)
- [GET /video/profiles: List Profiles](<https://docs.gumlet.com/reference/tag/video-profiles/get/video/profiles/index.md>)
- [POST /video/profiles/{profile_id}: Update Profile](<https://docs.gumlet.com/reference/tag/video-profiles/post/video/profiles/profile_id/index.md>)
- [GET /video/profiles/{profile_id}: Get Profile](<https://docs.gumlet.com/reference/tag/video-profiles/get/video/profiles/profile_id/index.md>)
- [DELETE /video/profiles/{profile_id}: Delete Profile](<https://docs.gumlet.com/reference/tag/video-profiles/delete/video/profiles/profile_id/index.md>)
- [GET /video/sources/live: List Workspaces](<https://docs.gumlet.com/reference/tag/live-stream-workspaces/get/video/sources/live/index.md>)
- [POST /video/sources/live: Create Workspace](<https://docs.gumlet.com/reference/tag/live-stream-workspaces/post/video/sources/live/index.md>)
- [POST /video/sources/live/{live_workspace_id}: Update Workspace](<https://docs.gumlet.com/reference/tag/live-stream-workspaces/post/video/sources/live/live_workspace_id/index.md>)
- [DELETE /video/sources/live/{live_workspace_id}: Delete Workspace](<https://docs.gumlet.com/reference/tag/live-stream-workspaces/delete/video/sources/live/live_workspace_id/index.md>)
- [POST /video/live/assets: Create Live Asset](<https://docs.gumlet.com/reference/tag/live-stream-assets/post/video/live/assets/index.md>)
- [POST /video/live/assets/update: Update Live Asset](<https://docs.gumlet.com/reference/tag/live-stream-assets/post/video/live/assets/update/index.md>)
- [GET /video/live/assets/{live_asset_id}: Get Live Asset Status](<https://docs.gumlet.com/reference/tag/live-stream-assets/get/video/live/assets/live_asset_id/index.md>)
- [DELETE /video/live/assets/{live_asset_id}: Delete Live Asset](<https://docs.gumlet.com/reference/tag/live-stream-assets/delete/video/live/assets/live_asset_id/index.md>)
- [POST /video/live/assets/{live_asset_id}/complete: Complete Live Stream](<https://docs.gumlet.com/reference/tag/live-stream-assets/post/video/live/assets/live_asset_id/complete/index.md>)
- [GET /video/live/assets/list/{live_source_id}: Filter Live Assets](<https://docs.gumlet.com/reference/tag/live-stream-assets/get/video/live/assets/list/live_source_id/index.md>)
- [POST /video/live/assets/{live_asset_id}/start: /video/live/assets/{live_asset_id}/start](<https://docs.gumlet.com/reference/tag/live-stream-assets/post/video/live/assets/live_asset_id/start/index.md>)
- [POST /video/live/assets/thumbnail/upload: Upload Live Thumbnails](<https://docs.gumlet.com/reference/tag/live-stream-assets/post/video/live/assets/thumbnail/upload/index.md>)
- [GET /video/live/assets/{live_asset_id}/history: Get Live Asset Status History](<https://docs.gumlet.com/reference/tag/live-stream-assets/get/video/live/assets/live_asset_id/history/index.md>)
- [POST /video/live/analytics: Usage Analytics](<https://docs.gumlet.com/reference/tag/live-stream-analytics/post/video/live/analytics/index.md>)
- [POST /image/sources: Create Source](<https://docs.gumlet.com/reference/tag/image-sources/post/image/sources/index.md>)
- [GET /image/sources: List Sources](<https://docs.gumlet.com/reference/tag/image-sources/get/image/sources/index.md>)
- [GET /image/sources/{image_source_id}: Get Image Source](<https://docs.gumlet.com/reference/tag/image-sources/get/image/sources/image_source_id/index.md>)
- [POST /image/sources/{image_source_id}: Update Source](<https://docs.gumlet.com/reference/tag/image-sources/post/image/sources/image_source_id/index.md>)
- [DELETE /image/sources/{image_source_id}: Delete Source](<https://docs.gumlet.com/reference/tag/image-sources/delete/image/sources/image_source_id/index.md>)
- [POST /purge/{subdomain}: Purge Cache](<https://docs.gumlet.com/reference/tag/image-sources/post/purge/subdomain/index.md>)
- [POST /image/purge/{source_id}: Purge Image Cache](<https://docs.gumlet.com/reference/tag/image-sources/post/image/purge/source_id/index.md>)
- [POST /image/analytics: Image Usage Analytics](<https://docs.gumlet.com/reference/tag/image-usage-analytics/post/image/analytics/index.md>)
- [POST /insights/viewer-analytics: Viewer Analytics](<https://docs.gumlet.com/reference/tag/video-analytics/post/insights/viewer-analytics/index.md>)
- [POST /insights/breakdown-data: Breakdown Data](<https://docs.gumlet.com/reference/tag/video-analytics/post/insights/breakdown-data/index.md>)
- [POST /insights/aggregated-data: Aggregated Data](<https://docs.gumlet.com/reference/tag/video-analytics/post/insights/aggregated-data/index.md>)
- [POST /org/webhooks: Create Webhook](<https://docs.gumlet.com/reference/tag/webhooks/post/org/webhooks/index.md>)
- [GET /org/webhooks: List Webhooks](<https://docs.gumlet.com/reference/tag/webhooks/get/org/webhooks/index.md>)
- [POST /org/webhooks/{webhook_id}: Update Webhook](<https://docs.gumlet.com/reference/tag/webhooks/post/org/webhooks/webhook_id/index.md>)
- [DELETE /org/webhooks/{webhook_id}: Delete Webhook](<https://docs.gumlet.com/reference/tag/webhooks/delete/org/webhooks/webhook_id/index.md>)
- [GET /org/webhook/{webhook_id}/history: Get History](<https://docs.gumlet.com/reference/tag/webhooks/get/org/webhook/webhook_id/history/index.md>)
- [Video asset status](<https://docs.gumlet.com/reference/tag/webhook-notifications/webhook/post/videoassetstatus/index.md>)
- [Live video status](<https://docs.gumlet.com/reference/tag/webhook-notifications/webhook/post/livevideostatus/index.md>)
- [Product event](<https://docs.gumlet.com/reference/tag/webhook-notifications/webhook/post/productevent/index.md>)
- [GET /user/data: Get User](<https://docs.gumlet.com/reference/tag/user-data/get/user/data/index.md>)
- [GET /mixed/billing/invoice/history: List Invoices](<https://docs.gumlet.com/reference/tag/billing/get/mixed/billing/invoice/history/index.md>)
- [GET /mixed/billing/details: Get Billing Details](<https://docs.gumlet.com/reference/tag/billing/get/mixed/billing/details/index.md>)
- [POST /mixed/billing/details: Update Billing Details](<https://docs.gumlet.com/reference/tag/billing/post/mixed/billing/details/index.md>)
- [GET /mixed/billing/invoice/upcoming: Upcoming Invoice](<https://docs.gumlet.com/reference/tag/billing/get/mixed/billing/invoice/upcoming/index.md>)
- [GET /org/data: Get Organization Details](<https://docs.gumlet.com/reference/tag/organization-data/get/org/data/index.md>)
- [POST /user/audit-log: Fetch Audit Logs](<https://docs.gumlet.com/reference/tag/audit-logs/post/user/audit-log/index.md>)
- [Models](<https://docs.gumlet.com/reference/models/index.md>)
